Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.el
Class DelegatingPropertyResolver

    java.lang.Object
      javax.faces.el.PropertyResolver
          org.jboss.portal.faces.el.DelegatingPropertyResolver

Direct Known Subclasses:
  AdminPropertyResolver, PropertyResolver

    public class DelegatingPropertyResolver

extends javax.faces.el.PropertyResolver

A property resolver that provide fine grained configuration of the resolution mechanism.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`DelegatingPropertyResolver()`
`DelegatingPropertyResolver(javax.faces.el.PropertyResolver delegate)`

Method Summary
`java.lang.Class` | `getType(java.lang.Object base, int index)`
`java.lang.Class` | `getType(java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(java.lang.Object base, int index)`
`java.lang.Object` | `getValue(java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(java.lang.Object base, int index)`
`boolean` | `isReadOnly(java.lang.Object base, java.lang.Object property)`
`void` | `registerDecorator(java.lang.Class clazz, BeanDecorator decorator)`
`void` | `setValue(java.lang.Object base, int index, java.lang.Object value)`
`void` | `setValue(java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingPropertyResolver

    public DelegatingPropertyResolver(javax.faces.el.PropertyResolver delegate)

### DelegatingPropertyResolver

    public DelegatingPropertyResolver()

Method Detail

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   java.lang.Object property)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.PropertyNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              java.lang.Object property)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     java.lang.Object property)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   int index)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.PropertyNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              int index)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     int index)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object base,
                         int index,
                         java.lang.Object value)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### registerDecorator

    public final void registerDecorator(java.lang.Class clazz,
                                        BeanDecorator decorator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD